Bug 623812 - SELinux is preventing /usr/bin/uux "execute_no_trans" access on /usr/bin/uux.
SELinux is preventing /usr/bin/uux "execute_no_trans" access on /usr/bin...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:1504db49e64...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-12 16:47 EDT by Ian Lance Taylor
Modified: 2010-08-25 20:56 EDT (History)
2 users (show)

See Also:
Fixed In Version: selinux-policy-3.6.32-121.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-25 20:56:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ian Lance Taylor 2010-08-12 16:47:21 EDT
Summary:

SELinux is preventing /usr/bin/uux "execute_no_trans" access on /usr/bin/uux.

Detailed Description:

[SELinux is in permissive mode. This access was not denied.]

SELinux denied access requested by uux. It is not expected that this access is
required by uux and this access may signal an intrusion attempt. It is also
possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:qmail_local_t:s0
Target Context                system_u:object_r:uux_exec_t:s0
Target Objects                /usr/bin/uux [ file ]
Source                        uux
Source Path                   /usr/bin/uux
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           uucp-1.07-20.fc12
Target RPM Packages           uucp-1.07-20.fc12
Policy RPM                    selinux-policy-3.6.32-118.fc12
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.32.11-99.fc12.x86_64 #1
                              SMP Mon Apr 5 19:59:38 UTC 2010 x86_64 x86_64
Alert Count                   4
First Seen                    Wed 09 Jun 2010 07:25:39 AM PDT
Last Seen                     Tue 20 Jul 2010 01:40:15 AM PDT
Local ID                      5cff44be-f037-4ff1-a16b-fc2937b7af42
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1279615215.902:129350): avc:  denied  { execute_no_trans } for  pid=7429 comm="preline" path="/usr/bin/uux" dev=dm-0 ino=6140915 scontext=system_u:system_r:qmail_local_t:s0 tcontext=system_u:object_r:uux_exec_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1279615215.902:129350): arch=c000003e syscall=59 success=yes exit=0 a0=7fff84e2ada1 a1=7fff84e29868 a2=7fff84e29898 a3=7fff84e294d0 items=0 ppid=7427 pid=7429 auid=4294967295 uid=501 gid=501 euid=10 suid=10 fsuid=10 egid=501 sgid=501 fsgid=501 tty=(none) ses=4294967295 comm="uux" exe="/usr/bin/uux" subj=system_u:system_r:qmail_local_t:s0 key=(null)



Hash String generated from  catchall,uux,qmail_local_t,uux_exec_t,file,execute_no_trans
audit2allow suggests:

#============= qmail_local_t ==============
allow qmail_local_t uux_exec_t:file execute_no_trans;
Comment 1 Daniel Walsh 2010-08-13 14:33:31 EDT
Miroslav add


optional_policy(`
	uucp_domtrans_uux(mailserver_delivery)
')

to mta.te
Comment 2 Miroslav Grepl 2010-08-17 06:25:28 EDT
Fixed in selinux-policy-3.6.32-121.fc12.
Comment 3 Fedora Update System 2010-08-20 06:27:43 EDT
selinux-policy-3.6.32-121.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-121.fc12
Comment 4 Fedora Update System 2010-08-21 00:31:26 EDT
selinux-policy-3.6.32-121.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-121.fc12
Comment 5 Fedora Update System 2010-08-25 20:56:21 EDT
selinux-policy-3.6.32-121.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.